**Company Name: **VMware

**Job Role:** Member of Technical Staff

**Years of Experience Required:** 0

**Drive**: On-campus

**CTC: **24.6 LPA

**Preparation**

**Topics**: DSA, DBMS, OS, CN

**Duration**: 4 months

**Source of Preparation**:

- Striver’s SDE sheet, SDE sheet core, takeuforward, Geeksforgeeks

*[BONUS]: *

*Check Striver’s SDE Sheet for Interview Preparation.**Check the ultimate resume building guide for coding interviews*.

**Interview Rounds**

**Round 1**: Online Coding Test

The online test consisted of 15 multiple choice questions and 1 coding question. The mcq’s were from DSA, CN, OS, DBMS, and also some logic based questions.

The coding question was a very easy one.

**Problem 1**: Given an array arr[] of size n, The task is to replace every element of the array by the sum of next two consecutive elements in a circular manner i.e. arr[0] = arr[1] + arr[2], arr[1] = arr[2] + arr[3], … arr[n – 1] = arr[0] + arr[1]

**Example**:

Input: arr[] = {3, 4, 2, 1, 6}Result: {6, 3, 7, 9, 7}Input:arr[] = {5, 2, 1, 3, 8}Result: {3, 4, 11, 13, 7}Explanation:arr[0] = arr[1] + arr[2], arr[1] = arr[2] + arr[3], … arr[n – 1] = arr[0] + arr[1]

**Round 2**: Video Call

Topics asked: DSA

This was a live coding round, I was asked to share my screen and a problem was given.

**Problem Statement**: “Given a sorted array with repeating elements find the first and last occurrence of a target element in O(log N) time ”

**Example**:

InputFormat: array[] = {5,5,8,8,8,8,11,13,17}, target=8Result: {2,5}Explanation: In the array, target element 8 occurs first at 2nd index and last at 5th index.

I started off with the brute force approach where I looped through the entire array and printed the first and last occurrence of the target element. I was asked by the interviewers to improve the code.

Then I wrote the code for binary search and used it to find an occurrence of the target element in log N time. After finding a random occurrence of the target element, I used two variables to traverse to both ends and find the first and last occurrence of the target. This approach was better but the time complexity was not O(log N), since after finding the target element it moves linearly to the first and last occurrence of the target element.

I was asked again if I could improve it further to reach log N time complexity. I tried to explain an approach where I used two binary searches to find the first and last occurrence but was not able to complete it. Interviewers said the approach is correct and told me that they’ll move on with other questions. Then they asked some questions from SQL, OS, and CN.

**Round 3**: Managerial Round

This round was entirely based on the projects in my resume. They asked deep questions, and the round went on for almost 45 minutes.

**Round 4**: HR Round

The HR round was a nice discussion. She asked me about my hobbies, interview preparations, and stuff like that. She asked me about how I would react if I don’t make it to the final shortlist, and then about my strengths and weaknesses.

**Verdict**: Selected

*Message to Aspiring Students:*

*Practice DSA well, Do the SDE sheet full, many questions will be directly from the SDE sheet, and during an interview as the striver says, always start with the brute force approach and later on improve the code. Also you have to think out loud, tell the interviewer what you are thinking step by step, even if you are not able to code the solution fully, tell them about the approach, explain it neatly.***~** Zuhan Kallangodan